Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.info
Interface PreferenceInfo

All Known Implementing Classes:
  ContainerPreferenceInfo

    public interface PreferenceInfo

Describes a Portlet preference.

Since:
  2.4
Version:
  $Revision: 6818 $
Author:
  Julien Viet

Method Summary
`java.util.List<java.lang.String>` | `getDefaultValue()` Return the default value or null if it cannot be determined (for instance WSRP v1 does not define it).
`org.jboss.portal.common.i18n.LocalizedString` | `getDescription()` Retrieves the localized description of the described preference.
`org.jboss.portal.common.i18n.LocalizedString` | `getDisplayName()` Retrieves the localized display name of the described preference.
`java.lang.String` | `getKey()` Retrieves the key associated to the described preference.
`java.lang.Boolean` | `isReadOnly()` Return true if the preference is read-only, false otherwise or null if it cannot be determined.

Method Detail

### getKey

    java.lang.String getKey()

  Retrieves the key associated to the described preference.

  Returns:
    the key associated to the described preference.

### getDisplayName

    org.jboss.portal.common.i18n.LocalizedString getDisplayName()

  Retrieves the localized display name of the described preference.

  Returns:
    the localized display name of the described preference.
  See Also:
    `LocalizedString`

### getDescription

    org.jboss.portal.common.i18n.LocalizedString getDescription()

  Retrieves the localized description of the described preference.

  Returns:
    the localized description of the described preference.
  See Also:
    `LocalizedString`

### isReadOnly

    java.lang.Boolean isReadOnly()

  Return true if the preference is read-only, false otherwise or null if it cannot be determined.

  Returns:
    `true` if the described preference is read-only, `false` otherwise.

### getDefaultValue

    java.util.List<java.lang.String> getDefaultValue()

  Return the default value or null if it cannot be determined (for instance WSRP v1 does not define it).

  Returns:
    the default value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.